<!doctype html>
<html>
  <head>
    <meta charset="utf-8">

    <!-- Always force latest IE rendering engine or request Chrome Frame -->
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">

    <!-- Use title if it's in the page YAML frontmatter -->
    <title>Security Anonymity Vulnerablities in Tor</title>

    <link href="../stylesheets/normalize.css" rel="stylesheet" type="text/css" /><link href="../stylesheets/all.css" rel="stylesheet" type="text/css" />
    <script src="../javascripts/all.js" type="text/javascript"></script>
  </head>

  <body class="presentations presentations_defcon16-dingledine">
    <div class="navbar">
      <a href="./">Presentations</a> |
      <a href="../presenters/">Presenters</a> |
      <a href="../tags/">Tags</a>
    </div>
      <h1>Security Anonymity Vulnerablities in Tor</h1>
  <div class="content">
    <ul>
      <li>Language: English</li>
        <li>
          Tags: <a href="../tags/vulnerabilities.html">vulnerabilities</a>, <a href="../tags/research.html">research</a>
        </li>
      <li>
        Presenters: <a href="../presenters/arma.html">Roger Dingledine</a>
      </li>
    </ul>
    <h2>Events</h2>
      <h3>DEF CON 16</h3>
      <ul>
          <li><a href="https://www.defcon.org/html/defcon-16/dc-16-speakers.html#Dingledine">Presentation page</a></li>
        <li>Date: 2008-08-08 (over 6 years ago)</li>
          <li><a href="https://media.defcon.org/DEF%20CON%2016/DEF%20CON%2016%20video/DEF%20CON%2016%20Hacking%20Conference%20Presentation%20By%20Roger%20Dingledine%20-%20Sec%20Anonymity%20Vulns%20in%20Tor%20-%20Video.m4v">Video</a>, <a href="https://media.defcon.org/DEF%20CON%2016/DEF%20CON%2016%20audio/DEF%20CON%2016%20Hacking%20Conference%20Presentation%20By%20Roger%20Dingledine%20-%20Sec%20Anonymity%20Vulns%20in%20Tor%20-%20Audio.m4b">Audio</a></li>
      </ul>
    <h2>Description</h2>
    <p>There have been a number of exciting bugs and design flaws in Tor over
the years, with effects ranging from complete anonymity compromise to
remote code execution. Some of them are our fault, and some are the
fault of components (libraries, browsers, operating systems) that we
trusted. Further, the academic research community has been coming up
with increasingly esoteric — and increasingly effective! — attacks
against all anonymity designs, including Tor.</p>

<p>Roger will walk through some of the most egregious bugs and design flaws
we've had, and give some intuition about lessons learned building and
deploying the largest distributed anonymity network ever. Then he'll
outline the wide variety of current vulnerabilities we have, explain
what they mean for our users, and talk about which ones we have a plan
for and which ones will continue to be a pain for the coming years.
Last, we'll speculate about categories and topics that are likely to
introduce new problems in the future.</p>

  </div>

  </body>
</html>
